%define		pkg	npm-registry-client
Summary:	Client for the npm registry
Name:		nodejs-%{pkg}
Version:	2.0.6
Release:	1
License:	ISC
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	ebd51b925e4d67c8835d2d633546e712
URL:		https://github.com/isaacs/npm-registry-client
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-chownr < 1
Requires:	nodejs-graceful-fs < 4
Requires:	nodejs-graceful-fs >= 3.0.0
Requires:	nodejs-mkdirp < 1
Requires:	nodejs-mkdirp >= 0.5.0
Requires:	nodejs-npm-cache-filename < 2.0.0
Requires:	nodejs-npm-cache-filename >= 1.0.0
Requires:	nodejs-request < 3
Requires:	nodejs-request >= 2.25.0
Requires:	nodejs-retry = 0.6.0
Requires:	nodejs-rimraf < 3
Requires:	nodejs-rimraf >= 2
Requires:	nodejs-semver < 3.0.0
Requires:	nodejs-semver >= 2.2.1
Requires:	nodejs-slide < 1.2.0
Requires:	nodejs-slide >= 1.1.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Client for the npm registry.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -a package.json index.js lib $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-npm-registry-client.git;a=log;h=master

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 9fcb0ee
- up to 2.0.6

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> f13fe1c
- up to 2.0.4

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 0dfddc3
- up to 2.0.3

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> dc13b48
- up to 2.0.2

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 1f8355d
- up to 1.0.1

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 4749e37
- up to 1.0.0

* Fri Jan 08 2016 Elan Ruusamäe <glen@delfi.ee> 70137e1
- up to 0.4.5

* Thu Mar 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> dcf33af
- correct nodejs-retry version; rel. 2

* Sat Mar 08 2014 Łukasz Kieś <kiesiu@pld-linux.org> 33e2d1f
- updated to 0.4.4
- updated R:

* Sat Mar 09 2013 Aria <aredridel@nbtsc.org> d0fba5c
- v0.2.18

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 61a16f5
- v0.2.17

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> b045e90
- v0.2.13

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 8ebe339
- Initial commit

